Name: "discover-joinup"
Description: "Discover used with Join-Up script"
Documentation: |
  Discover, run as a service and complete-nobootenv

  This workflow is recommended for joining cloud machines instead of `discover-base`.

  !!! note
      You must set `defaultBootEnv` to `sledgehammer` in order to use join-up
      to discover machines.

  Some operators may chooose to first create placeholder machines and then link
  with `join-up.sh` to the placeholder machine model using the UUID. See the
  `ansible-joinup` task for an example.

  `complete-nobootenv` ensures that Digital Rebar does not force
  the workflow into a bootenv (potentially rebooting) when finished.
Stages:
  - "discover-nobootenv"
  - "drp-agent"
  - "complete-nobootenv"
Meta:
  color: "green"
  icon: "cloud"
  title: "RackN Content"
